* [PATCH] Add tool to format rootfiles
@ 2020-09-05 8:40 Jonatan Schlag
2020-09-05 19:14 ` Adolf Belka
2020-09-10 11:45 ` Michael Tremer
0 siblings, 2 replies; 6+ messages in thread
From: Jonatan Schlag @ 2020-09-05 8:40 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 2387 bytes --]
There are some rules which files should be definitely not included in a
rootfile. Applying these rules by hand is error prone and annoying. So I
wrote these simple command, because computer can apply these rules
faster and better than humans :-;
It removes all lines starting with '-' and comment out all lines which
point to files which should not be included in the distribution. This
list needs to be extended, but I think this is a good starting point to
make the creating of rootfiles easier.
Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
---
make.sh | 37 ++++++++++++++++++++++++++++++++++++-
1 file changed, 36 insertions(+), 1 deletion(-)
diff --git a/make.sh b/make.sh
index 4a9dd3cb6..909d4a4de 100755
--- a/make.sh
+++ b/make.sh
@@ -1895,6 +1895,41 @@ downloadsrc)
fi
cd - >/dev/null 2>&1
;;
+format-rootfile)
+ if [ ! -f $2 ]; then
+ echo -n "'$2' is not a regular file"
+ beautify message FAIL
+ exit 1
+ fi
+
+ ROOTFILE_TO_FORMAT="$2"
+
+ # Remove all .so files in /usr/lib
+ sed -i '/^\+usr\/lib\/.*\.so$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+ # Remove all .a files in /usr/lib
+ sed -i '/^\+usr\/lib\/.*\.a$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+
+ # Remove all .la files in /usr/lib
+ sed -i '/^\+usr\/lib\/.*\.la$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+ # Remove all .hpp files in /usr/include
+ sed -i '/^\+usr\/include\/.*\.hpp$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+ # Remove all .h files in /usr/include
+ sed -i '/^\+usr\/include\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+ # Remove all .ipp files in /usr/include
+ sed -i '/^\+usr\/include\/.*\.ipp$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+ # Remove all .m4 files in /usr/share/aclocal
+ sed -i '/^\+usr\/share\/aclocal\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
+
+ # Remove all lines starting with -
+ sed -i '/^-.*$/d' "$ROOTFILE_TO_FORMAT"
+
+;;
toolchain)
# Clear screen
${INTERACTIVE} && clear
@@ -1990,7 +2025,7 @@ find-dependencies)
exec "${BASEDIR}/tools/find-dependencies" "${BASEDIR}/build" "$@"
;;
*)
- echo "Usage: $0 {build|changelog|clean|gettoolchain|downloadsrc|shell|sync|toolchain|update-contributors|find-dependencies}"
+ echo "Usage: $0 {build|changelog|clean|format-rootfile|gettoolchain|downloadsrc|shell|sync|toolchain|update-contributors|find-dependencies}"
cat doc/make.sh-usage
;;
esac
--
2.20.1
^ permalink raw reply [flat|nested] 6+ messages in thread
* Re: [PATCH] Add tool to format rootfiles
2020-09-05 8:40 [PATCH] Add tool to format rootfiles Jonatan Schlag
@ 2020-09-05 19:14 ` Adolf Belka
2020-09-05 19:30 ` Adolf Belka
2020-09-10 11:45 ` Michael Tremer
1 sibling, 1 reply; 6+ messages in thread
From: Adolf Belka @ 2020-09-05 19:14 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 3389 bytes --]
Hallo Jonatan,
I see that you have a rule to remove all .so shared libraries from /usr/lib
With the bacula addon, this will give a problem as bacula have a different approach to the naming of their shared libraries
/usr/lib/libbac-9.6.5.so
/usr/lib/libbaccfg-9.6.5.so
/usr/lib/libbaccfg.so -> libbaccfg-9.6.5.so
/usr/lib/libbacfind-9.6.5.so
/usr/lib/libbacfind.so -> libbacfind-9.6.5.so
/usr/lib/libbac.so -> libbac-9.6.5.so
As you can see the .so is at the end of all the files so that rule would remove all shared libraries causing bacula to fail to load.
If this rule is implemented in make.sh then the only option I can think of for bacula would be to change the library location from /usr/lib to /lib unless someone else has any suggestions for how I could deal with it.
Regards,
Adolf
On 05/09/2020 10:40, Jonatan Schlag wrote:
> There are some rules which files should be definitely not included in a
> rootfile. Applying these rules by hand is error prone and annoying. So I
> wrote these simple command, because computer can apply these rules
> faster and better than humans :-;
>
> It removes all lines starting with '-' and comment out all lines which
> point to files which should not be included in the distribution. This
> list needs to be extended, but I think this is a good starting point to
> make the creating of rootfiles easier.
>
> Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
> ---
> make.sh | 37 ++++++++++++++++++++++++++++++++++++-
> 1 file changed, 36 insertions(+), 1 deletion(-)
>
> diff --git a/make.sh b/make.sh
> index 4a9dd3cb6..909d4a4de 100755
> --- a/make.sh
> +++ b/make.sh
> @@ -1895,6 +1895,41 @@ downloadsrc)
> fi
> cd - >/dev/null 2>&1
> ;;
> +format-rootfile)
> + if [ ! -f $2 ]; then
> + echo -n "'$2' is not a regular file"
> + beautify message FAIL
> + exit 1
> + fi
> +
> + ROOTFILE_TO_FORMAT="$2"
> +
> + # Remove all .so files in /usr/lib
> + sed -i '/^\+usr\/lib\/.*\.so$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all .a files in /usr/lib
> + sed -i '/^\+usr\/lib\/.*\.a$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> +
> + # Remove all .la files in /usr/lib
> + sed -i '/^\+usr\/lib\/.*\.la$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all .hpp files in /usr/include
> + sed -i '/^\+usr\/include\/.*\.hpp$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all .h files in /usr/include
> + sed -i '/^\+usr\/include\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all .ipp files in /usr/include
> + sed -i '/^\+usr\/include\/.*\.ipp$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all .m4 files in /usr/share/aclocal
> + sed -i '/^\+usr\/share\/aclocal\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all lines starting with -
> + sed -i '/^-.*$/d' "$ROOTFILE_TO_FORMAT"
> +
> +;;
> toolchain)
> # Clear screen
> ${INTERACTIVE} && clear
> @@ -1990,7 +2025,7 @@ find-dependencies)
> exec "${BASEDIR}/tools/find-dependencies" "${BASEDIR}/build" "$@"
> ;;
> *)
> - echo "Usage: $0 {build|changelog|clean|gettoolchain|downloadsrc|shell|sync|toolchain|update-contributors|find-dependencies}"
> + echo "Usage: $0 {build|changelog|clean|format-rootfile|gettoolchain|downloadsrc|shell|sync|toolchain|update-contributors|find-dependencies}"
> cat doc/make.sh-usage
> ;;
> esac
^ permalink raw reply [flat|nested] 6+ messages in thread
* Re: [PATCH] Add tool to format rootfiles
2020-09-05 19:14 ` Adolf Belka
@ 2020-09-05 19:30 ` Adolf Belka
0 siblings, 0 replies; 6+ messages in thread
From: Adolf Belka @ 2020-09-05 19:30 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 4224 bytes --]
Hallo Jonatan,
Having looked at /usr/lib further I have noted that programmes such as conntrack-tools and collectd just use .so files and the solution with them is to have their own directory under /usr/lib.
So I could do the same with bacula and change the libdir in configure to be /usr/lib/bacula. I think that should solve the problem. Just have to remember to do the change when the next bacula update occurs.
Regards,
Adolf
On 05/09/2020 21:14, Adolf Belka wrote:
> Hallo Jonatan,
>
> I see that you have a rule to remove all .so shared libraries from /usr/lib
>
> With the bacula addon, this will give a problem as bacula have a different approach to the naming of their shared libraries
>
> /usr/lib/libbac-9.6.5.so
> /usr/lib/libbaccfg-9.6.5.so
> /usr/lib/libbaccfg.so -> libbaccfg-9.6.5.so
> /usr/lib/libbacfind-9.6.5.so
> /usr/lib/libbacfind.so -> libbacfind-9.6.5.so
> /usr/lib/libbac.so -> libbac-9.6.5.so
>
> As you can see the .so is at the end of all the files so that rule would remove all shared libraries causing bacula to fail to load.
>
> If this rule is implemented in make.sh then the only option I can think of for bacula would be to change the library location from /usr/lib to /lib unless someone else has any suggestions for how I could deal with it.
>
>
> Regards,
>
> Adolf
>
> On 05/09/2020 10:40, Jonatan Schlag wrote:
>> There are some rules which files should be definitely not included in a
>> rootfile. Applying these rules by hand is error prone and annoying. So I
>> wrote these simple command, because computer can apply these rules
>> faster and better than humans :-;
>>
>> It removes all lines starting with '-' and comment out all lines which
>> point to files which should not be included in the distribution. This
>> list needs to be extended, but I think this is a good starting point to
>> make the creating of rootfiles easier.
>>
>> Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
>> ---
>> make.sh | 37 ++++++++++++++++++++++++++++++++++++-
>> 1 file changed, 36 insertions(+), 1 deletion(-)
>>
>> diff --git a/make.sh b/make.sh
>> index 4a9dd3cb6..909d4a4de 100755
>> --- a/make.sh
>> +++ b/make.sh
>> @@ -1895,6 +1895,41 @@ downloadsrc)
>> fi
>> cd - >/dev/null 2>&1
>> ;;
>> +format-rootfile)
>> + if [ ! -f $2 ]; then
>> + echo -n "'$2' is not a regular file"
>> + beautify message FAIL
>> + exit 1
>> + fi
>> +
>> + ROOTFILE_TO_FORMAT="$2"
>> +
>> + # Remove all .so files in /usr/lib
>> + sed -i '/^\+usr\/lib\/.*\.so$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
>> +
>> + # Remove all .a files in /usr/lib
>> + sed -i '/^\+usr\/lib\/.*\.a$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
>> +
>> +
>> + # Remove all .la files in /usr/lib
>> + sed -i '/^\+usr\/lib\/.*\.la$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
>> +
>> + # Remove all .hpp files in /usr/include
>> + sed -i '/^\+usr\/include\/.*\.hpp$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
>> +
>> + # Remove all .h files in /usr/include
>> + sed -i '/^\+usr\/include\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
>> +
>> + # Remove all .ipp files in /usr/include
>> + sed -i '/^\+usr\/include\/.*\.ipp$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
>> +
>> + # Remove all .m4 files in /usr/share/aclocal
>> + sed -i '/^\+usr\/share\/aclocal\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
>> +
>> + # Remove all lines starting with -
>> + sed -i '/^-.*$/d' "$ROOTFILE_TO_FORMAT"
>> +
>> +;;
>> toolchain)
>> # Clear screen
>> ${INTERACTIVE} && clear
>> @@ -1990,7 +2025,7 @@ find-dependencies)
>> exec "${BASEDIR}/tools/find-dependencies" "${BASEDIR}/build" "$@"
>> ;;
>> *)
>> - echo "Usage: $0 {build|changelog|clean|gettoolchain|downloadsrc|shell|sync|toolchain|update-contributors|find-dependencies}"
>> + echo "Usage: $0 {build|changelog|clean|format-rootfile|gettoolchain|downloadsrc|shell|sync|toolchain|update-contributors|find-dependencies}"
>> cat doc/make.sh-usage
>> ;;
>> esac
^ permalink raw reply [flat|nested] 6+ messages in thread
* Re: [PATCH] Add tool to format rootfiles
2020-09-05 8:40 [PATCH] Add tool to format rootfiles Jonatan Schlag
2020-09-05 19:14 ` Adolf Belka
@ 2020-09-10 11:45 ` Michael Tremer
2020-09-14 11:02 ` Jonatan Schlag
1 sibling, 1 reply; 6+ messages in thread
From: Michael Tremer @ 2020-09-10 11:45 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 3225 bytes --]
Hello Jonatan,
We have already talked about this patch on the last telephone conference, but I would still like to put forward this:
Can we not change this patch, so that it only tells us what could/should potentially be changed? So the command will simply say things like “/usr/lib/libabc.so is a development file and should not be included”.
Wouldn’t that avoid the problem of any automatic errors and we still have a helper that makes the whole process easier for developers?
For that, the sed statements simply have to be changed to grep and the output of that has to be dealt with.
-Michael
> On 5 Sep 2020, at 09:40, Jonatan Schlag <jonatan.schlag(a)ipfire.org> wrote:
>
> There are some rules which files should be definitely not included in a
> rootfile. Applying these rules by hand is error prone and annoying. So I
> wrote these simple command, because computer can apply these rules
> faster and better than humans :-;
>
> It removes all lines starting with '-' and comment out all lines which
> point to files which should not be included in the distribution. This
> list needs to be extended, but I think this is a good starting point to
> make the creating of rootfiles easier.
>
> Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
> ---
> make.sh | 37 ++++++++++++++++++++++++++++++++++++-
> 1 file changed, 36 insertions(+), 1 deletion(-)
>
> diff --git a/make.sh b/make.sh
> index 4a9dd3cb6..909d4a4de 100755
> --- a/make.sh
> +++ b/make.sh
> @@ -1895,6 +1895,41 @@ downloadsrc)
> fi
> cd - >/dev/null 2>&1
> ;;
> +format-rootfile)
> + if [ ! -f $2 ]; then
> + echo -n "'$2' is not a regular file"
> + beautify message FAIL
> + exit 1
> + fi
> +
> + ROOTFILE_TO_FORMAT="$2"
> +
> + # Remove all .so files in /usr/lib
> + sed -i '/^\+usr\/lib\/.*\.so$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all .a files in /usr/lib
> + sed -i '/^\+usr\/lib\/.*\.a$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> +
> + # Remove all .la files in /usr/lib
> + sed -i '/^\+usr\/lib\/.*\.la$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all .hpp files in /usr/include
> + sed -i '/^\+usr\/include\/.*\.hpp$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all .h files in /usr/include
> + sed -i '/^\+usr\/include\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all .ipp files in /usr/include
> + sed -i '/^\+usr\/include\/.*\.ipp$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all .m4 files in /usr/share/aclocal
> + sed -i '/^\+usr\/share\/aclocal\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> +
> + # Remove all lines starting with -
> + sed -i '/^-.*$/d' "$ROOTFILE_TO_FORMAT"
> +
> +;;
> toolchain)
> # Clear screen
> ${INTERACTIVE} && clear
> @@ -1990,7 +2025,7 @@ find-dependencies)
> exec "${BASEDIR}/tools/find-dependencies" "${BASEDIR}/build" "$@"
> ;;
> *)
> - echo "Usage: $0 {build|changelog|clean|gettoolchain|downloadsrc|shell|sync|toolchain|update-contributors|find-dependencies}"
> + echo "Usage: $0 {build|changelog|clean|format-rootfile|gettoolchain|downloadsrc|shell|sync|toolchain|update-contributors|find-dependencies}"
> cat doc/make.sh-usage
> ;;
> esac
> --
> 2.20.1
>
^ permalink raw reply [flat|nested] 6+ messages in thread
* Re: [PATCH] Add tool to format rootfiles
2020-09-10 11:45 ` Michael Tremer
@ 2020-09-14 11:02 ` Jonatan Schlag
2020-09-17 7:22 ` Michael Tremer
0 siblings, 1 reply; 6+ messages in thread
From: Jonatan Schlag @ 2020-09-14 11:02 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 3955 bytes --]
Hi Michael,
this approach would be similar to the root file checker already
included in the "tools directory. Maybe this approach is now the
better one because we can recheck this tool against existing correct
root files, which should make it easy to find errors in the
expressions.
As such a tool should be well tested and I have to try out BDD
(Behaviour Driven Development) I will try, to combine these and create
a little software for this task.
I will report back when I have results.
Jonatan
Am Donnerstag, den 10.09.2020, 12:45 +0100 schrieb Michael Tremer:
> Hello Jonatan,
>
> We have already talked about this patch on the last telephone
> conference, but I would still like to put forward this:
>
> Can we not change this patch, so that it only tells us what
> could/should potentially be changed? So the command will simply say
> things like “/usr/lib/libabc.so is a development file and should not
> be included”.
>
> Wouldn’t that avoid the problem of any automatic errors and we still
> have a helper that makes the whole process easier for developers?
>
> For that, the sed statements simply have to be changed to grep and
> the output of that has to be dealt with.
>
> -Michael
>
> > On 5 Sep 2020, at 09:40, Jonatan Schlag <jonatan.schlag(a)ipfire.org>
> > wrote:
> >
> > There are some rules which files should be definitely not included
> > in a
> > rootfile. Applying these rules by hand is error prone and annoying.
> > So I
> > wrote these simple command, because computer can apply these rules
> > faster and better than humans :-;
> >
> > It removes all lines starting with '-' and comment out all lines
> > which
> > point to files which should not be included in the distribution.
> > This
> > list needs to be extended, but I think this is a good starting
> > point to
> > make the creating of rootfiles easier.
> >
> > Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
> > ---
> > make.sh | 37 ++++++++++++++++++++++++++++++++++++-
> > 1 file changed, 36 insertions(+), 1 deletion(-)
> >
> > diff --git a/make.sh b/make.sh
> > index 4a9dd3cb6..909d4a4de 100755
> > --- a/make.sh
> > +++ b/make.sh
> > @@ -1895,6 +1895,41 @@ downloadsrc)
> > fi
> > cd - >/dev/null 2>&1
> > ;;
> > +format-rootfile)
> > + if [ ! -f $2 ]; then
> > + echo -n "'$2' is not a regular file"
> > + beautify message FAIL
> > + exit 1
> > + fi
> > +
> > + ROOTFILE_TO_FORMAT="$2"
> > +
> > + # Remove all .so files in /usr/lib
> > + sed -i '/^\+usr\/lib\/.*\.so$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> > +
> > + # Remove all .a files in /usr/lib
> > + sed -i '/^\+usr\/lib\/.*\.a$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> > +
> > +
> > + # Remove all .la files in /usr/lib
> > + sed -i '/^\+usr\/lib\/.*\.la$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> > +
> > + # Remove all .hpp files in /usr/include
> > + sed -i '/^\+usr\/include\/.*\.hpp$/s/+/#/g'
> > "$ROOTFILE_TO_FORMAT"
> > +
> > + # Remove all .h files in /usr/include
> > + sed -i '/^\+usr\/include\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
> > +
> > + # Remove all .ipp files in /usr/include
> > + sed -i '/^\+usr\/include\/.*\.ipp$/s/+/#/g'
> > "$ROOTFILE_TO_FORMAT"
> > +
> > + # Remove all .m4 files in /usr/share/aclocal
> > + sed -i '/^\+usr\/share\/aclocal\/.*\.h$/s/+/#/g'
> > "$ROOTFILE_TO_FORMAT"
> > +
> > + # Remove all lines starting with -
> > + sed -i '/^-.*$/d' "$ROOTFILE_TO_FORMAT"
> > +
> > +;;
> > toolchain)
> > # Clear screen
> > ${INTERACTIVE} && clear
> > @@ -1990,7 +2025,7 @@ find-dependencies)
> > exec "${BASEDIR}/tools/find-dependencies" "${BASEDIR}/build"
> > "$@"
> > ;;
> > *)
> > - echo "Usage: $0
> > {build|changelog|clean|gettoolchain|downloadsrc|shell|sync|toolchai
> > n|update-contributors|find-dependencies}"
> > + echo "Usage: $0 {build|changelog|clean|format-
> > rootfile|gettoolchain|downloadsrc|shell|sync|toolchain|update-
> > contributors|find-dependencies}"
> > cat doc/make.sh-usage
> > ;;
> > esac
> > --
> > 2.20.1
> >
^ permalink raw reply [flat|nested] 6+ messages in thread
* Re: [PATCH] Add tool to format rootfiles
2020-09-14 11:02 ` Jonatan Schlag
@ 2020-09-17 7:22 ` Michael Tremer
0 siblings, 0 replies; 6+ messages in thread
From: Michael Tremer @ 2020-09-17 7:22 UTC (permalink / raw)
To: development
[-- Attachment #1: Type: text/plain, Size: 4555 bytes --]
Hello,
> On 14 Sep 2020, at 12:02, Jonatan Schlag <jonatan.schlag(a)ipfire.org> wrote:
>
> Hi Michael,
>
> this approach would be similar to the root file checker already
> included in the "tools directory. Maybe this approach is now the
> better one because we can recheck this tool against existing correct
> root files, which should make it easy to find errors in the
> expressions.
Hmm… Two tools doing exactly the same does not seem to be a good idea.
> As such a tool should be well tested and I have to try out BDD
> (Behaviour Driven Development) I will try, to combine these and create
> a little software for this task.
BDD? Someone has been paying attention in uni :)
Let’s discuss any ideas here first. You can prototype things of course, but do not fully build it out before you have collected a couple of opinions from other people, please.
Best,
-Michael
> I will report back when I have results.
>
> Jonatan
>
> Am Donnerstag, den 10.09.2020, 12:45 +0100 schrieb Michael Tremer:
>> Hello Jonatan,
>>
>> We have already talked about this patch on the last telephone
>> conference, but I would still like to put forward this:
>>
>> Can we not change this patch, so that it only tells us what
>> could/should potentially be changed? So the command will simply say
>> things like “/usr/lib/libabc.so is a development file and should not
>> be included”.
>>
>> Wouldn’t that avoid the problem of any automatic errors and we still
>> have a helper that makes the whole process easier for developers?
>>
>> For that, the sed statements simply have to be changed to grep and
>> the output of that has to be dealt with.
>>
>> -Michael
>>
>>> On 5 Sep 2020, at 09:40, Jonatan Schlag <jonatan.schlag(a)ipfire.org>
>>> wrote:
>>>
>>> There are some rules which files should be definitely not included
>>> in a
>>> rootfile. Applying these rules by hand is error prone and annoying.
>>> So I
>>> wrote these simple command, because computer can apply these rules
>>> faster and better than humans :-;
>>>
>>> It removes all lines starting with '-' and comment out all lines
>>> which
>>> point to files which should not be included in the distribution.
>>> This
>>> list needs to be extended, but I think this is a good starting
>>> point to
>>> make the creating of rootfiles easier.
>>>
>>> Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
>>> ---
>>> make.sh | 37 ++++++++++++++++++++++++++++++++++++-
>>> 1 file changed, 36 insertions(+), 1 deletion(-)
>>>
>>> diff --git a/make.sh b/make.sh
>>> index 4a9dd3cb6..909d4a4de 100755
>>> --- a/make.sh
>>> +++ b/make.sh
>>> @@ -1895,6 +1895,41 @@ downloadsrc)
>>> fi
>>> cd - >/dev/null 2>&1
>>> ;;
>>> +format-rootfile)
>>> + if [ ! -f $2 ]; then
>>> + echo -n "'$2' is not a regular file"
>>> + beautify message FAIL
>>> + exit 1
>>> + fi
>>> +
>>> + ROOTFILE_TO_FORMAT="$2"
>>> +
>>> + # Remove all .so files in /usr/lib
>>> + sed -i '/^\+usr\/lib\/.*\.so$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
>>> +
>>> + # Remove all .a files in /usr/lib
>>> + sed -i '/^\+usr\/lib\/.*\.a$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
>>> +
>>> +
>>> + # Remove all .la files in /usr/lib
>>> + sed -i '/^\+usr\/lib\/.*\.la$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
>>> +
>>> + # Remove all .hpp files in /usr/include
>>> + sed -i '/^\+usr\/include\/.*\.hpp$/s/+/#/g'
>>> "$ROOTFILE_TO_FORMAT"
>>> +
>>> + # Remove all .h files in /usr/include
>>> + sed -i '/^\+usr\/include\/.*\.h$/s/+/#/g' "$ROOTFILE_TO_FORMAT"
>>> +
>>> + # Remove all .ipp files in /usr/include
>>> + sed -i '/^\+usr\/include\/.*\.ipp$/s/+/#/g'
>>> "$ROOTFILE_TO_FORMAT"
>>> +
>>> + # Remove all .m4 files in /usr/share/aclocal
>>> + sed -i '/^\+usr\/share\/aclocal\/.*\.h$/s/+/#/g'
>>> "$ROOTFILE_TO_FORMAT"
>>> +
>>> + # Remove all lines starting with -
>>> + sed -i '/^-.*$/d' "$ROOTFILE_TO_FORMAT"
>>> +
>>> +;;
>>> toolchain)
>>> # Clear screen
>>> ${INTERACTIVE} && clear
>>> @@ -1990,7 +2025,7 @@ find-dependencies)
>>> exec "${BASEDIR}/tools/find-dependencies" "${BASEDIR}/build"
>>> "$@"
>>> ;;
>>> *)
>>> - echo "Usage: $0
>>> {build|changelog|clean|gettoolchain|downloadsrc|shell|sync|toolchai
>>> n|update-contributors|find-dependencies}"
>>> + echo "Usage: $0 {build|changelog|clean|format-
>>> rootfile|gettoolchain|downloadsrc|shell|sync|toolchain|update-
>>> contributors|find-dependencies}"
>>> cat doc/make.sh-usage
>>> ;;
>>> esac
>>> --
>>> 2.20.1
>>>
>
^ permalink raw reply [flat|nested] 6+ messages in thread
end of thread, other threads:[~2020-09-17 7:22 UTC | newest]
Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-09-05 8:40 [PATCH] Add tool to format rootfiles Jonatan Schlag
2020-09-05 19:14 ` Adolf Belka
2020-09-05 19:30 ` Adolf Belka
2020-09-10 11:45 ` Michael Tremer
2020-09-14 11:02 ` Jonatan Schlag
2020-09-17 7:22 ` Michael Tremer
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox